%define sname   sigc++
%define api     1.2
%define major   5
%define fname   %{sname}-%{api}
%define libname %mklibname %{sname} %{api} %{major} 
%define devname %mklibname %{sname} %{api} -d

Name:           libsigc++1.2
Version:        1.2.7
Release:        %mkrel 2
Summary:        Typesafe signal framework for C++
Group:          System/Libraries
License:        LGPLv2+
URL:            http://libsigc.sourceforge.net
Source0:        https://download.gnome.org/sources/libsigc++/1.2/lib%{sname}-%{version}.tar.bz2

%description
This library implements a full callback system for use in widget libraries,
abstract interfaces, and general programming. It provides the ability to
connect an abstract callback to a class method, function, or function object,
and contains adaptor classes for connection of dissimilar callbacks.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Typesafe signal framework for C++

%description -n %{libname}
This library implements a full callback system for use in widget libraries,
abstract interfaces, and general programming. It provides the ability to
connect an abstract callback to a class method, function, or function object,
and contains adaptor classes for connection of dissimilar callbacks.

%files -n       %{libname}
%doc AUTHORS COPYING.LIB README IDEAS NEWS ChangeLog TODO
%{_libdir}/libsigc-%{api}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development tools for the typesafe signal framework for C++
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{sname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the static libraries and header files
needed for development with lib%{fname}.

%files -n       %{devname}
%{_includedir}/%{fname}/
%{_libdir}/%{fname}/
%{_libdir}/libsigc-%{api}.so
%{_libdir}/pkgconfig/%{fname}.pc

#----------------------------------------------------------------------

%prep
%setup -q -n lib%{sname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.2.7-2.mga6
+ Revision: 955637
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 akien <akien> 1.2.7-1.mga6
+ Revision: 850430
- imported package libsigc++1.2

